Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.host
Class EPPHostCreateCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPCreateCmd
              com.verisign.epp.codec.host.EPPHostCreateCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPHostCreateCmd

extends EPPCreateCmd

Represents an EPP Host <create> command, which provides a transform operation that allows a client to create a host object. The <host:create> element MUST contain the following child elements:

- A <host:name> element that contains the fully qualified host name of the object to be created. Use `getName` and `setName` to get and set the element.
- Zero or more <host:addr> elements that contain the IP addresses to be associated with the host. If the host name exists in a name space for which the server is not authoritative, then the superordinate domain of the host MUST be known to the server before the host object can be created. For example, if the server is authoritative for the ".com" name space and the name of the server is "ns1.example.com.au", the server is not required to produce DNS glue records for the name server and IP addresses for the server are not required by the DNS.

It is important to note that the transaction identifier associated with successful creation of a host object becomes the authorization identifier return in the <info-data> of a EPP Host <info> response and most likely will be required for future transform operations. A client MUST retain all transaction identifiers associated with host object creation and protect them from disclosure. A client MUST also provide a copy of the transaction identifier information to the host registrant, who will need this information to request a host transfer through a different client.
`EPPReponse` is the response associated with `EPPHostCreateCmd`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPResponse`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPHostCreateCmd()` Allocates a new `EPPHostCreateCmd` with default attribute values.
`EPPHostCreateCmd(java.lang.String aTransId, java.lang.String aName)` Allocates a new `EPPHostCreateCmd` with a host name.
`EPPHostCreateCmd(java.lang.String aTransId, java.lang.String aName, java.util.Vector someAddresses)` Allocates a new `EPPHostCreateCmd` with all attributes specified by the arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPHostCreateCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the EPPHostCreateCmd attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPHostCreateCmd instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPHostCreateCmd` with this instance.
`java.util.Vector` | `getAddresses()` Gets the host addresses.
`java.lang.String` | `getName()` Get the host name to create.
`java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with EPPHostCreateCmd.
`void` | `setAddresses(java.util.Vector aAddresses)` Sets the host addresses.
`void` | `setName(java.lang.String aName)` Set the host name to create.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPCreateCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPHostCreateCmd

    public EPPHostCreateCmd()

  Allocates a new `EPPHostCreateCmd` with default attribute values. the defaults include the following:
  - name is set to `null`
  - addresses is set to to `null`
  - transaction id is set to `null`.
  The name must be set before invoking `encode`.

### EPPHostCreateCmd

    public EPPHostCreateCmd(java.lang.String aTransId,
                            java.lang.String aName)

  Allocates a new `EPPHostCreateCmd` with a host name. The other attributes are initialized as follows:
  - addresses is set to `null`

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aName` - Host name

### EPPHostCreateCmd

    public EPPHostCreateCmd(java.lang.String aTransId,
                            java.lang.String aName,
                            java.util.Vector someAddresses)

  Allocates a new `EPPHostCreateCmd` with all attributes specified by the arguments.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aName` - Host name
    `someAddresses` - `Vector` of `EPPHostAddress` instances.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Get the EPP command Namespace associated with EPPHostCreateCmd.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPHostMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the EPPHostCreateCmd instance.

  Specified by:
    `doEncode` in class `EPPCreateCmd`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the EPPHostCreateCmd instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPHostCreateCmd instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the EPPHostCreateCmd attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPCreateCmd`
  Parameters:
    `aElement` - - Root DOM Element to decode EPPHostCreateCmd from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### getName

    public java.lang.String getName()

  Get the host name to create.

  Returns:
    Host Name

### setName

    public void setName(java.lang.String aName)

  Set the host name to create.

  Parameters:
    `aName` - Host Name

### getAddresses

    public java.util.Vector getAddresses()

  Gets the host addresses.

  Returns:
    Vector of `EPPHostAddress` instances if defined; `null` otherwise.

### setAddresses

    public void setAddresses(java.util.Vector aAddresses)

  Sets the host addresses.

  Parameters:
    `aAddresses` - Vector of `EPPHostAddress` instances.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPHostCreateCmd` with this instance.

  Overrides:
    `equals` in class `EPPCreateCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPHostCreateCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPHostCreateCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.